Bug 1475534 - a missing multimedia-player.png icon at size 128x128 in Adwaita theme ...
a missing multimedia-player.png icon at size 128x128 in Adwaita theme ...
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-26 16:54 EDT by Fabrice Bellet
Modified: 2017-10-12 16:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-10-12 16:27:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 785574 None None None 2017-07-29 15:57 EDT

  None (edit)
Description Fabrice Bellet 2017-07-26 16:54:01 EDT
... causes banshee to use a _huge_ 512x512 icon instead. Of course, creating the two required icons in ~/.local/share/icons works around this issue, but having the   icon with the desired size in the default theme would be better (size 128x128 and 16x16 are needed for an external usb media player).
Comment 1 Tom "spot" Callaway 2017-07-28 15:18:10 EDT
Hmm. I see:


All of those come from adwaita-icon-theme-3.24.0-2.fc26.noarch

It looks like 128x128 is the only missing size there, but the adwaita theme does not provide _any_ icons in that size.

Banshee doesn't include any "multimedia-player.png" icons.

I'm not exactly sure what to do here. If you think adwaita should include 128x128 versions of their icons, then that is a bug against adwaita-icon-theme. If there is a missing size for a banshee included icon, let me know the specific filename(s) and I'll resize and include.
Comment 2 Fabrice Bellet 2017-07-29 15:43:40 EDT
What surprised me is that the behavior is clearly new in Fedora 26, and after strace-ing banshee on a Fedora 25, it appears that it uses a downscaled 256x256 multimedia-player.png icon, that is provided in adwaita-icon-theme-3.22.0, but has been dropped in 3.24 (this icon has been redesigned):


We could expect that the actual 512x512 icon would be downscaled to the requested size as well, but this is not the case, because icons of this size (section [512x512/devices] in file index.theme) are not given the possibility to be used at other sizes.

To summarize, yes, I think this is a bug in adwaita-icon-theme 3.24. I'll fill a bug in gnome bugzilla for it.
Comment 3 Fabrice Bellet 2017-09-27 06:39:16 EDT
adwaita-icon-theme has been fixed upstream:

Comment 4 Tom "spot" Callaway 2017-10-12 16:27:37 EDT
I'm going to close this as NOTABUG, since the icon will presumably show up in the adwaita-icon-theme package.

Note You need to log in before you can comment on or make changes to this bug.